Class RenewBdsCertificateDetails
Request body for renewing certificates.
Inherited Members
Namespace: Oci.BdsService.Models
Assembly: OCI.DotNetSDK.Bds.dll
Syntax
public class RenewBdsCertificateDetails
Properties
ClusterAdminPassword
Declaration
[JsonProperty(PropertyName = "clusterAdminPassword")]
public string ClusterAdminPassword { get; set; }
Property Value
| Type | Description |
|---|---|
| string | Base-64 encoded password for the cluster admin user. |
ManageCertificateLevelTypeDetails
Declaration
[Required(ErrorMessage = "ManageCertificateLevelTypeDetails is required.")]
[JsonProperty(PropertyName = "manageCertificateLevelTypeDetails")]
public ManageBdsCertificateLevelTypeDetails ManageCertificateLevelTypeDetails { get; set; }
Property Value
| Type | Description |
|---|---|
| ManageBdsCertificateLevelTypeDetails |
Remarks
Required
SecretId
Declaration
[JsonProperty(PropertyName = "secretId")]
public string SecretId { get; set; }
Property Value
| Type | Description |
|---|---|
| string | The secretId for the clusterAdminPassword. |